Bug 436712 - Fails to startup with message of missing libraries
Fails to startup with message of missing libraries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: conduit (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 16:00 EDT by Adam Huffman
Modified: 2008-07-14 20:57 EDT (History)
0 users

See Also:
Fixed In Version: 0.3.11.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 20:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
conduit bugreport (2.16 KB, text/plain)
2008-04-23 11:17 EDT, Frederic Medery
no flags Details

  None (edit)
Description Adam Huffman 2008-03-09 16:00:17 EDT
Description of problem:

When I try to start Conduit on rawhide, I see the following message on the console:

WARNING: COULD NOT FIND FIREFOX LIBRARIES
WARNING: CONDUIT MAY CRASH UNEXPECTEDLY
WARNING: PLEASE TALK TO THE PERSON WHO PACKAGED CONDUIT
[Main                ][INFO   ] Conduit v0.3.8 Installed: True (Main.py:79)
[Main                ][INFO   ] Using UI: gtk (Main.py:80)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules (Module.py:103)
[Module              ][DEBUG  ] Reading directory /home/adam/.conduit/modules
(Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/N800Module (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/FeedModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/FacebookModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/GmailModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/NetworkModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/BoxDotNetModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/BansheeModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/FspotModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/SmugMugModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/FileModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/GConfModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/GoogleModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/RhythmboxModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/EvolutionModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/BackpackModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/ShutterflyModule (Module.py:103)
[Module              ][DEBUG  ] Reading directory
/usr/lib/python2.5/site-packages/conduit/modules/FlickrModule (Module.py:103)
[dataproviders.SimpleFactory][INFO   ] HAL Initialized (VolumeFactory.py:25)
[dataproviders.SimpleFactory][INFO   ] HAL Initialized (VolumeFactory.py:25)
python: Modules/gcmodule.c:276: visit_decref: Assertion `gc->gc.gc_refs != 0'
failed.


Version-Release number of selected component (if applicable):
conduit-0.3.8-1.fc9.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Permaine Cheung 2008-03-10 08:24:47 EDT
Reassign to component conduit and its owner.
Comment 2 Bernard Johnson 2008-03-13 00:33:53 EDT
Can you provide the output of:

1) 'arch'
2) 'ls -d /usr/lib/firefox*'
3) 'rpm -ql firefox | grep run-mozilla'
Comment 3 Frederic Medery 2008-04-23 11:17:51 EDT
Created attachment 303506 [details]
conduit bugreport
Comment 4 Frederic Medery 2008-04-23 11:19:22 EDT
I have the same problem So 

I will answer the question :

1) i686
2) /usr/lib/firefox-3.0b5  /usr/lib/firefox-3.0b5pre
3) /usr/lib/firefox-3.0b5/run-mozilla.sh

I also attached the bugreport
Comment 5 Adam Huffman 2008-04-23 11:58:14 EDT
1) x86_64
2) /usr/lib/firefox-2.0.0.3  /usr/lib/firefox-2.0.0.4  /usr/lib/firefox-2.0.0.5
 /usr/lib/firefox-2.0.0.8
3) /usr/lib64/firefox-2.0.0.13/run-mozilla.sh
Comment 6 Bug Zapper 2008-05-14 01:53:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Peter Janakiev 2008-05-28 10:29:12 EDT
Confirmed on fedora 9 
firefox-3.0-0.60.beta5.fc9.i386
conduit-0.3.8-1.fc9.noarch
Comment 8 Bernard Johnson 2008-07-10 21:43:21 EDT
Is this resolved with the 0.3.11.1-1 update?
Comment 9 Adam Huffman 2008-07-14 13:06:09 EDT
Conduit starts up normally for me with that update.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.